package cn.superdesk.uniorder.service.sys.role;

import cn.superdesk.uniorder.dao.entity.sys.role.SysMenu;
import cn.superdesk.uniorder.dto.vo.sys.role.ViewMenuTree;
import cn.superdesk.uniorder.dto.vo.sys.role.ViewRoleMenu;
import cn.superdesk.uniorder.service.base.BaseService;

import java.util.List;

public interface SysMenuService extends BaseService<SysMenu> {

	List<ViewMenuTree> getTreeById(Long id);

	List<ViewMenuTree> getTreeByIdNew(Long id);

	List<ViewMenuTree> getTreeByRoleId(Long roleId);

	List<ViewRoleMenu> getDataByRoleId(Long roleId);


}
